Subject: Re: bug#27956: 26.0.50; Setting load-prefer-newer breaks Emacs startup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Aug 2017 10:30:02 +0300

> From: Fabrice Popineau <[email-masked]>
> Date: Sat, 5 Aug 2017 09:14:05 +0200
> Cc: [email-masked]
> 
> I had to "touch /path/to/emacs/lisp/files/*.elc" after installation to fix it.

??? Do you mean that compressing files with gzip doesn't preserve
their time stamps?  It does here.  The gzip manual specifically says:

     `gzip' reduces the size of the named files using Lempel-Ziv coding
  (LZ77).  Whenever possible, each file is replaced by one with the
  extension `.gz', while keeping the same ownership modes, access and
  modification times.

What version of gzip did you use?